<template>
  <div class="data-view">
    <div id="load" v-show="loading">
      <div class="load_img">
        <!-- 加载动画 -->
        <img class="jzxz1" src="/images/data-v/jzxz1.png" />
        <img class="jzxz2" src="/images/data-v/jzxz2.png" />
      </div>
    </div>
    <div class="head_top"><span>智慧工厂可视化驾驶舱</span></div>
    <div class="visual">
      <div class="left-top10">
        <div class="title">
          <span>部门告警数量 TOP10</span>
        </div>
      </div>
      <div class="center">
        <div class="center-left">
          <div class="center-count">
            <b>219</b>
            <p style="margin-top:2px">当前监测点总量</p>
            <p style="margin-top:35px">场景总量: 800</p>
            <p style="margin-top:5px">算法总量: 11</p>
          </div>
        </div>
      </div>
      <div class="right-week">
        <div class="title">
          <span>近7日整改数量统计</span>
        </div>
        <div id="barChart" style="width: 100%;height:100%"></div>
      </div>
      <div class="right-device">
        <div class="title">
          <span>数据监控</span>
        </div>
        <div class="device-count">
          <img src="/images/data-v/d-total.png" alt="" />
          <div class="device-total">
            <p>设备总量</p>
            <p style="color:#FFF">6</p>
          </div>

          <div class="device-online">
            <img src="/images/data-v/online.png" alt="" />

            <p style="margin-top: 10px;">在线</p>
            <p style="color:#FFF">6</p>
          </div>
          <div class="device-offline">
            <img src="/images/data-v/offline.png" alt="" />

            <p style="margin-top: 10px;">离线</p>
            <p style="color:#FFF">0</p>
          </div>
        </div>
      </div>
      <div class="right-type">
        <div class="title">
          <span>告警类型占比</span>
        </div>
        <div id="pieChart" style="width: 100%;height:100%"></div>
      </div>
      <div class="bottom-line">
        <div class="title">
          <span>告警数量趋势</span>
        </div>
        <div id="lineChart" style="width: 100%;height:100%"></div>
      </div>
      <div class="clear"></div>
    </div>
  </div>
</template>

<script>
import * as echarts from "echarts"
export default {
  components: {},
  data() {
    return {
      loading: false,
      lineChart: {},
      pieChart: {},
      barChart: {},
      top10: [
        {
          name: "人事",
          value: 230
        },
        {
          name: "人事",
          value: 230
        },
        {
          name: "人事",
          value: 230
        },
        {
          name: "人事",
          value: 230
        },
        {
          name: "人事",
          value: 230
        },
        {
          name: "人事",
          value: 230
        },
        {
          name: "人事",
          value: 230
        }
      ],
      lineChartOption: {
        grid: {
          left: "3%",
          right: "3%",
          bottom: "20%",
          containLabel: true
        },
        legend: {
          x: "right",
          y: "top",
          itemHeight: 2,
          itemWidth: 2,
          icon: "circle"
        },
        tooltip: {},
        xAxis: {
          type: "category",
          boundaryGap: false,
          axisTick: {
            show: false
          },
          axisLabel: {
            color: "#666"
          },
          data: ["1", "2", "3", "4", "5", "6", "7"]
        },
        yAxis: {
          axisTick: {
            show: false
          },
          axisLine: {
            //y轴
            show: false
          },
          axisLabel: {
            color: "#666"
          },
          splitLine: {
            //网格线
            lineStyle: {
              color: "rgb(230, 230, 230)",
              type: "dashed" //设置网格线类型 dotted：虚线   solid:实线
            },
            show: false //隐藏或显示
          }
        },
        // Declare several bar series, each will be mapped
        // to a column of dataset.source by default.
        series: [
          {
            type: "line",
            data: [55, 33, 22, 33, 55, 43, 11],
            areaStyle: {
              color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                {
                  offset: 0,
                  color: "#0066FF"
                },
                {
                  offset: 1,
                  color: "rgba(0, 102, 255, 0.25)"
                }
              ])
            },
            color: {
              type: "linear",
              x: 0.02,
              y: 0.02,
              x2: 1,
              y2: 1,
              colorStops: [
                {
                  offset: 0,
                  color: "#0066FF" // 0% 处的颜色
                  // radius: ["50%", "80%"]
                },
                {
                  offset: 1,
                  color: "rgba(0, 102, 255, 0.25)" // 100% 处的颜色
                }
              ],
              global: false // 缺省为 false
            },
            itemStyle: {
              //柱形图圆角，鼠标移上去效果，如果只是一个数字则说明四个参数全部设置为那么多
              normal: {
                //柱形图圆角，初始化效果
                barBorderRadius: [15, 15, 0, 0]
              }
            }
          }
        ]
      },
      barChartOption: {
        grid: {
          left: "10%",
          right: "20%",
          bottom: "20%",
          containLabel: true
        },
        legend: {
          x: "right",
          y: "top",
          itemHeight: 2,
          itemWidth: 2,
          icon: "circle"
        },
        tooltip: {},
        xAxis: {
          type: "category",
          boundaryGap: false,
          axisTick: {
            show: false
          },
          axisLabel: {
            color: "#666"
          },
          data: ["烟雾", "明火", "离岗", "聚集"]
        },
        yAxis: {
          axisTick: {
            show: false
          },
          axisLine: {
            //y轴
            show: false
          },
          axisLabel: {
            color: "#666"
          },
          splitLine: {
            //网格线
            lineStyle: {
              color: "rgb(230, 230, 230)",
              type: "dashed" //设置网格线类型 dotted：虚线   solid:实线
            },
            show: false //隐藏或显示
          }
        },
        // Declare several bar series, each will be mapped
        // to a column of dataset.source by default.
        series: [
          {
            type: "bar",
            data: [55, 33, 22, 33],
            areaStyle: {
              color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                {
                  offset: 0,
                  color: "#0066FF"
                },
                {
                  offset: 1,
                  color: "rgba(0, 102, 255, 0.25)"
                }
              ])
            },
            color: {
              type: "linear",
              x: 0.02,
              y: 0.02,
              x2: 1,
              y2: 1,
              colorStops: [
                {
                  offset: 0,
                  color: "#0066FF" // 0% 处的颜色
                  // radius: ["50%", "80%"]
                },
                {
                  offset: 1,
                  color: "rgba(0, 102, 255, 0.25)" // 100% 处的颜色
                }
              ],
              global: false // 缺省为 false
            },
            itemStyle: {
              //柱形图圆角，鼠标移上去效果，如果只是一个数字则说明四个参数全部设置为那么多
              normal: {
                //柱形图圆角，初始化效果
                barBorderRadius: [15, 15, 0, 0]
              }
            }
          }
        ]
      },
      pieChartOption: {
        tooltip: {
          trigger: "item"
        },
        legend: {
          top: "70%",
          bottom: "center"
        },
        color: [
          "rgb(54, 60, 231)",
          "rgb(54, 178, 74)",
          "rgb(255, 178, 36)",
          "rgb(240, 190, 231)",
          "rgb(255, 124, 31)",
          "rgb(165, 96, 255)"
        ],
        series: [
          {
            name: "Nightingale Chart",
            type: "pie",
            radius: [60, 80],
            center: ["50%", "40%"],
            // roseType: "area",
            itemStyle: {
              borderRadius: 10
            },
            label: {
              show: false
            },
            data: [
              { value: 22, name: "a" },
              { value: 22, name: "b" },
              { value: 33, name: "c" },
              { value: 35, name: "d" }
            ]
          }
        ]
      }
    }
  },
  mounted() {
    setTimeout(() => {
      this.loading = false
    }, 3000)

    this.$nextTick(() => {
      this.initLineChart()
      this.initPieChart()
      this.initBarChart()
    })
  },
  methods: {
    initLineChart() {
      console.log("lineChart")
      let chartDom = document.getElementById("lineChart")
      this.lineChart = echarts.init(chartDom)
      this.lineChart.setOption(this.lineChartOption)
      this.lineChart.resize()
      console.log(this.lineChart)
    },
    initPieChart() {
      console.log("pieChart")
      let chartDom = document.getElementById("pieChart")
      this.pieChart = echarts.init(chartDom)
      this.pieChart.setOption(this.pieChartOption)
      this.pieChart.resize()
      console.log(this.pieChart)
    },
    initBarChart() {
      console.log("barChart")
      let chartDom = document.getElementById("barChart")
      this.barChart = echarts.init(chartDom)
      this.barChart.setOption(this.barChartOption)
      this.barChart.resize()
      console.log(this.barChart)
    }
  }
}
</script>

<style scoped>
@font-face {
  font-family: yjsz;
  src: url("./fonts/yjsz.TTF"); /* IE9+,可以是具体的实际链接 */
}
ul {
  padding: 0;
  margin: 0;
}
a {
  text-decoration: none !important;
}
.clear {
  clear: both;
}

.title {
  margin-top: 27px;
  margin-left: 25px;
  font-size: 15px;
  font-weight: 700;
  color: #fff;
}

.data-view {
  width: 100%;
  height: 100%;
  /* padding: 15px; */
  background: #0c194d;
  /* background: url(/images/data-v/bg.jpg); */
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-size: cover;
  overflow: hidden;
  position: absolute;
  z-index: -2;
}

/* 加载旋转动画 */
#load {
  width: 100%;
  height: 100%;
  position: absolute;
  background: url(/images/data-v/data08.png) no-repeat #061537;
  background-size: cover;
  top: 0;
  left: 0;
  z-index: 999;
}

#load .load_img {
  position: absolute;
  left: calc(50% - 182px);
  top: calc(50% - 182px);
}

.load_img img {
  position: absolute;
  left: 0;
  top: 0;
}

.load_img .jzxz1 {
  animation: xz1 8s infinite linear;
}

@keyframes xz1 {
  from {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.load_img .jzxz2 {
  animation: xz2 7s infinite linear;
}

@keyframes xz2 {
  from {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(-180deg);
  }
  to {
    transform: rotate(-360deg);
  }
}

.head_top {
  position: relative;
  background: url(/images/data-v/head.png) no-repeat center center;
  height: 120px;
  line-height: 120px;
  font-style: italic;
}

.head_top span {
  text-align: center;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 55px;
  font-weight: 700;
  background: linear-gradient(0deg, #fff, #fff);
  background-size: cover;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  /* text-fill-color: transparent; font-weight: bolder; cursor: text; */
}
.head_top img {
  width: 90%;
  margin: auto;
}
.head_top p {
  width: 100%;
  text-align: center;
  color: #55bfff;
  position: absolute;
  bottom: -18px;
  left: -10px;
}
.head_top p span {
  font-family: "yjsz";
  font-size: 20px;
}

.left-top10 {
  background: url(/images/data-v/top10.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  height: 53%;
  width: 20%;
  position: absolute;
  top: 12%;
  left: 2%;
}

.center {
  /* background: #edeef1; */
  width: 46%;
  height: 52%;
  position: absolute;
  left: 23%;
  top: 11%;
}

.center .center-left {
  background: url(/images/data-v/center.png) no-repeat center center;
  width: 75%;
  height: 100%;
  text-align: center;
}

.center .center-count {
  position: relative;
  top: 60%;
  color: #fff;
}

.right-week {
  background: url(/images/data-v/week.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  height: 33%;
  width: 28%;
  position: absolute;
  top: 8%;
  right: 2%;
}

.right-device {
  background: url(/images/data-v/data-m.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  height: 23%;
  width: 28%;
  position: absolute;
  top: 43%;
  right: 2%;
}

.right-type {
  background: url(/images/data-v/type.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  height: 30%;
  width: 28%;
  position: absolute;
  bottom: 2%;
  right: 2%;
}

.bottom-line {
  background: url(/images/data-v/lineup.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  /* height: 31%;
  width: 66%; */
  height: 309px;
  width: 1268px;
  position: absolute;
  bottom: 2%;
  left: 2%;
}

.device-count {
  width: 50%;
  margin-top: 35px;
  margin-left: 68px;
}
.device-total {
  position: absolute;
  top: 43%;
  left: 36%;
  font-size: 26px;
  color: rgb(217, 214, 214);
  text-align: center;
}
.device-online {
  position: absolute;
  width: 30%;
  top: 22%;
  right: 4%;
  color: rgb(217, 214, 214);
}

.device-online img,
.device-offline img {
  float: left;
  margin-right: 10px;
}

.device-offline {
  position: absolute;
  width: 30%;
  top: 57%;
  right: 4%;
  color: rgb(217, 214, 214);
}
</style>
